org.vishia.gral.base

## Class GralTextBox.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralTextField.GraphicImplAccess
    - - org.vishia.gral.base.GralTextBox.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    AwtTextBox, SwtTextBox
  Enclosing class:
    GralTextBox

      public abstract class GralTextBox.GraphicImplAccess
      extends GralTextField.GraphicImplAccess
      implements GralWidgImpl_ifc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `chgAddText`
    `static int` | `chgCursor`
    `static int` | `chgEditable`
    `static int` | `chgNonEditable`
    `static int` | `chgViewTrail`

    - ### Fields inherited from class org.vishia.gral.base.GralTextField.GraphicImplAccess

      `chgPrompt, posField, posPrompt`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralWidget widgg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `caretPos()`
    `protected void` | `caretPos(int newPos)`
    `protected java.lang.String` | `getAndClearNewText()`
    `protected GralTextFieldUser_ifc` | `user()`

    - ### Methods inherited from class org.vishia.gral.base.GralTextField.GraphicImplAccess

      `borderwidth, isPasswordField, prompt, promptStylePosition, setTouched`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### chgCursor

          public static final int chgCursor

      See Also:
        Constant Field Values

    - #### chgEditable

          public static final int chgEditable

      See Also:
        Constant Field Values

    - #### chgNonEditable

          public static final int chgNonEditable

      See Also:
        Constant Field Values

    - #### chgViewTrail

          public static final int chgViewTrail

      See Also:
        Constant Field Values

    - #### chgAddText

          public static final int chgAddText

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralWidget widgg)

  - ### Method Detail

    - #### getAndClearNewText

          protected java.lang.String getAndClearNewText()

    - #### caretPos

          protected int caretPos()

      Overrides:
        `caretPos` in class `GralTextField.GraphicImplAccess`

    - #### caretPos

          protected void caretPos(int newPos)

      Overrides:
        `caretPos` in class `GralTextField.GraphicImplAccess`

    - #### user

          protected GralTextFieldUser_ifc user()

      Overrides:
        `user` in class `GralTextField.GraphicImplAccess`